Đến nội dung


Hình ảnh
- - - - -

Vấn đề về màu layer


  • Please log in to reply
23 replies to this topic

#1 theducw87

theducw87

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 March 2013 - 02:43 PM

Tình hình là mình có một nhóm đối tượng gồm nhiều layer khác nhau và mình muốn chuyển tất cả những layer đó về cùng một layer mà màu của chúng vẫn giữ nguyên. Bác nào biết cách nào làm được điều đó hoặc lisp nào làm được thì chỉ mình với!


  • 0

#2 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 19 March 2013 - 02:53 PM

:D :D :D

Đề tài này quá cao cấp. 

Bạn có thể làm cho đề tài dễ tiếp thu với 2 lúa không?

(Ví dụ: Cho xem cái file, hình ảnh minh họa, hay là các trường hợp có thể xảy ra ...)

Cách 1: Cách làm đơn giản, thủ công: LAYISO. (Liệu đã đủ cho bạn?)

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 19 March 2013 - 03:29 PM

Đề tài này ko cao cấp đâu bác hai:

-Diển giải lại:

*Đầu:

1.Có một mớ đối tượng thuộc 1 mớ layer. 

2.Một mớ layer có thể cùng màu có thể không.

3.Các đối tượng có màu có thể là bylayer có thể không.

 

*Đuôi:

1.Một mớ đối tượng chỉ thuộc 1 layer duy nhất.

2.Từng đối tượng giữ nguyên được màu dòm thấy trên màn hình như cái đầu.

 

*Vì sao bảo là ko cao cấp. Vì một mớ đối tượng này màu lúc này 100% là ko bylayer. 

Duy vừa có 1 đoạn đọc màu dòm thấy của đối tượng ở topic dưới. Nhu cầu cần dùng thì chế biến thêm tí ớt là ra thôi. (Lưu ý chưa xét đến block nhớ)

 

http://www.cadviet.c...mau-plot-style/


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 19 March 2013 - 04:13 PM

:D :D :D

Vấn đề cao cấp ở chổ chủ top làm biếng trình bày sao cho dễ hiểu.

VD: con nít, người cấp thấp (Có 2 lúa trong này), người có tuôi, người đi dạo chợ... là người làm biếng đọc, dù chữ ít đọc cũng không muốn hiểu. :D

Một cán bộ muốn đổi layer cho đối tượng thì khó có thể xem là người này chỉ cầm bản vẽ mà thi công, phần lớn là thiết kế.

Thiết kế mà 2 lúa khó hiểu thì tất nhiên 2 lúa ko trả tiền. Còn muốn 2 lúa trả tiền thì 2 lúa phải trả thêm tiền cho cán bộ đọc tài liệu nữa. :D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#5 hantinh

hantinh

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 413 Bài viết
Điểm đánh giá: 44 (tàm tạm)

Đã gửi 19 March 2013 - 05:27 PM

vân đề bạn hỏi có các hướng giải quyết sau.

1. dùng lệnh lz(layiso) và thêm 1 vài thao tác nữa là có kết quả

2. dùng lệnh đóng băng hoặc khóa toàn bộ layer hok cần chuyển và làm giống phần trên


  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 19 March 2013 - 05:32 PM

K quá 10 dòng code lisp, nhưng chưa rõ ứng dụng cụ thể.
ps : theo ketxu thì cần áp dụng ngay luật hạn chế số lượng request mới đc :)) Người có cái cần thực sự có khi còn e dè chưa kịp post thì nhiều người đã auto request rồi bỏ đấy
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 theducw87

theducw87

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 March 2013 - 09:05 PM

hix. Nếu dùng layiso thì để hiện từng cái một rồi chuyển layer rồi đổi lại màu như cũ thì lâu lắm. Mình muốn quet một cái rồi chọn layer muốn chuyển thành rồi ok luôn cho nhanh cơ tại vì mớ mà mình nói đến không phải là 2-3 layer mà cả chục layer cơ.


  • 0

#8 namchamvocam

namchamvocam

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 19 March 2013 - 09:17 PM

mọi người ơi làm sao để đăng bài lên diễn đàn vậy


  • 0

#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 March 2013 - 09:24 PM

Hãy mặn mà với câu hỏi của mình, và cũng cần mặn mà với những ai giúp đỡ, tất sẽ có người giúp đỡ mặn mà!


  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#10 sgcq

sgcq

    Hội Hai Lúa

  • Members
  • PipPipPipPipPipPipPip
  • 1880 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 20 March 2013 - 09:24 AM

hix. Nếu dùng layiso thì để hiện từng cái một rồi chuyển layer rồi đổi lại màu như cũ thì lâu lắm. Mình muốn quet một cái rồi chọn layer muốn chuyển thành rồi ok luôn cho nhanh cơ tại vì mớ mà mình nói đến không phải là 2-3 layer mà cả chục layer cơ.

:D :D :D

Bạn rất là vui tính. :D

:D :D :D


  • 0

12728974_230210507314169_718723558582070 HỘI HAI LÚA

           fanpage: https://www.facebook.com/HoiHaiLua/

 

 

 

 

 

 


#11 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 20 March 2013 - 01:35 PM

 

Tình hình là mình có một nhóm đối tượng gồm nhiều layer khác nhau và mình muốn chuyển tất cả những layer đó về cùng một layer mà màu của chúng vẫn giữ nguyên. Bác nào biết cách nào làm được điều đó hoặc lisp nào làm được thì chỉ mình với!

Bạn dùng cái này xem. Lệnh kk sau đó chọn đối tượng. Toàn bộ đối tượng được chọn sẽ chuyển về Layer hiện hành. 

http://www.cadviet.c...yen_mau_sac.lsp

(defun C:kk()
  (command "UNDO" "BE")
  (setq taphop(ssget))
  (setq soluong (sslength taphop))
  (setq index 0)
  (while (< index soluong)
    (setq obj(entget(ssname taphop index)))
    (if (= (assoc 62 obj) nil)
      (setq Color (cdr (assoc 62 (entget (TBLOBJNAME "LAYER" (cdr (assoc 8 obj)))))))
      (setq Color (cdr(assoc 62 obj))))
    (if (= (assoc 62 obj) nil)
      (progn
	(setq obj(append (list (cons 62 Color)) obj))
	(entmod obj))
      (entmod (subst (cons 62 Color) (assoc 62 obj) obj))
      )
    (setq layer (getvar "Clayer"))
    (entmod (subst (cons 8 Layer) (assoc 8 obj) obj))
    (setq index (+ index 1))
    )
  (command "UNDO" "END")
  (princ)
  )

  • 1

#12 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 20 March 2013 - 02:28 PM

Lệnh là: CHUYENLAY

 

2032013143351344.jpg

Nó dài thòn thòn là do làm cho hiện cái bảng danh sách layer hiện có trong bản vẽ để bạn chọn làm layer đích chứ còn bạn muốn chỉ định cố định layer đích thì chỉ cần dùng lệnh: CVML

và sửa

(nth (atoi duy:bienluu_tenlayer) dsso)

Thành "tenlayer" là được!

 

(defun duy:vht_modau (tieudeht / tieudeht)
(setq sogan 2)
(setq solistgan 1)
(setq solistganb 1)
(setq soanhgan 1)
(setq soanhggan 1)
(setq filedcl (open "D:/htd.dcl" "w"))
(write-line (strcat "duyhopthoai : dialog { label = " "\"" tieudeht "\"" "\;") filedcl)
(setq filelsp (open "D:/ganhtd.lsp" "w"))
(write-line (strcat "\(" "defun ght " "\(" "\)") filelsp)
(setq filelsps (open "D:/ganhtds.lsp" "w"))
(write-line (strcat "\(" "defun ghts " "\(" "\)") filelsps)
(write-line (strcat "\(" "setq phepchon " "\(" "start_dialog" "\)" "\)") filelsps)
(write-line (strcat "\(" "cond") filelsps)
)

(defun duy:vht_ketthuckhongnut (noidung / noidung)
(write-line (strcat ": text {alignment  = centered" "\;" " label = " "\"" noidung "\"" "\;" "}") filedcl)
(write-line (strcat "}") filedcl)
(close filedcl)
(write-line "\)" filelsp)
(close filelsp)
(write-line "\))" filelsps)
(close filelsps)
)

(defun duy:vht_nutthoat (tennut dorong / tennut dorong)
(write-line (strcat ": button {alignment  = centered" "\;" " is_cancel = true" "\;" " width = " dorong "\;" " label = " "\"" tennut "\"" "\;" " key = " "\"" " accept" "\"" "\;" " is_default = true" "\;" "}") filedcl)
)

(defun duy:vht_textso (tieude dorong lisththi vitrimd gtnhan / tieude dorong lisththi vitrimd gtnhan)
(write-line (strcat ": popup_list {alignment  = centered" "\;" " edit_width = " dorong "\;" " label = " "\"" tieude "\"" "\;" " key = " "\"" "listthu" (itoa solistgan) "\"" "\;" "}") filedcl)
(write-line (strcat "\(" "start_list " "\"" "listthu" (itoa solistgan) "\"" "\)") filelsp)
(write-line (strcat "\(" "mapcar " "\'" "add_list " lisththi "\)") filelsp)
(write-line (strcat "\(" "end_list" "\)") filelsp)
(write-line (strcat "\(" "set_tile " "\"" "listthu" (itoa solistgan) "\" " "\(" "itoa " vitrimd "\)" "\)") filelsp)
(write-line (strcat "\(" "action_tile " "\"" "listthu" (itoa solistgan) "\" " "\"" "\(setq " gtnhan " \(get_tile " "\\" "\"" "listthu" (itoa solistgan) "\\" "\"" "\)" "\)" "\"" "\)") filelsp)
(setq solistgan (+ solistgan 1))
)   

(defun duy:vht_nut (tennut hamgoi dorong / tennut hamgoi dorong)
(write-line (strcat ": button {alignment  = centered" "\;" " width = " dorong "\;" " label = " "\"" tennut "\"" "\;" " key = " "\"" hamgoi "\"" "\;" "}") filedcl)
(write-line (strcat "\(" "action_tile " "\"" hamgoi "\" "  "\"" "\(" "done_dialog " (itoa sogan) "\)" "\"" "\)") filelsp)
(write-line (strcat "\(" "\(" "= phepchon " (itoa sogan) "\) " "\(" "c:" hamgoi "\)" "\)") filelsps)
(setq sogan (+ 1 sogan))
)

(defun duy:vht_goihopthoai (/ nda)
(setq DCL_ID (load_dialog "D:/htd.dcl"))
(new_dialog "duyhopthoai" DCL_ID)
(setq fileganhtd (open "D:/ganhtd.lsp" "r"))
(repeat 2
(setq nda (read-line fileganhtd))
)
(close fileganhtd)
(cond
((= nda "\)") (start_dialog) (unload_dialog dcl_id))
((/= nda "\)") (load "D:/ganhtd.lsp") (load "D:/ganhtds.lsp") (ght) (ghts))
)
)

(defun duy:taolist (kieu / kieu nl lkq)
(setq lkq'())
(setq nl (tblnext kieu T))
(while nl
(setq lkq (append lkq (list (cdr (assoc 2 nl)))))
(setq nl (tblnext kieu))
)
lkq)

(defun c:chuyenlay ()
(duy:vht_modau "Chuyen layer")
(duy:vht_nut "Chon doi tuong" "cvml" "0")
(setq dsso (duy:taolist "layer"))
(cond
((= nill duy:bienluu_tenlayer) (setq tenlayerluu "0") (setq duy:bienluu_tenlayer "0"))
((/= nill duy:bienluu_tenlayer) (setq tenlayerluu duy:bienluu_tenlayer))
)
(duy:vht_textso "Layer:" "12" "dsso" tenlayerluu "duy:bienluu_tenlayer")
(duy:vht_nutthoat "Thoat" "0")
(duy:vht_ketthuckhongnut "Viet boi: Duy782006")
(duy:vht_goihopthoai)
(Princ))

(defun c:cvml ()
(princ "Chon cac doi tuong muon chuyen layer !")
(setq dchon (ssget))

(setq sttd 0)
(while (setq LAY (ssname dchon sttd))

(setq kqcolor (cdr (assoc 62 (entget LAY))))
  (Cond
  ((= kqcolor nill) 
  (setq kqcolor (cdr (assoc 62 (entget (TBLOBJNAME "LAYER" (cdr (assoc 8 (entget LAY))))))))
  )
  ((/= kqcolor nill) 
  (setq kqcolor kqcolor)
  )
  )

(command "chprop" LAY "" "layer" (nth (atoi duy:bienluu_tenlayer) dsso) "color" kqcolor "")

(setq sttd (1+ sttd))
)

(princ))

  • 2

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#13 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 20 March 2013 - 02:40 PM

mọi người ơi làm sao để đăng bài lên diễn đàn vậy

Bạn vào mục này: CADViet forum - Lập trình CAD - AutoLisp. Chọn nút Gửi bài mới ở phía trên bên phải. Nếu vẫn chưa tìm thấy thì Link đây

http://www.cadviet.c...um/50-autolisp/


  • 1

#14 theducw87

theducw87

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 20 March 2013 - 07:29 PM

Mình đã làm được rồi.Cảm ơn Kangkung và Pham Quoc Huy


  • 0

#15 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 21 March 2013 - 09:35 AM

Mình đã làm được rồi.Cảm ơn Kangkung và Pham Quoc Huy

Phạm quốc Huy là con trai mình. Mình là Phạm Quốc Duy nhé!


  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#16 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 21 March 2013 - 09:46 AM

Phạm quốc Huy là con trai mình. Mình là Phạm Quốc Duy nhé!

Hề hề hề,

Bác này cưới chui rồi......


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#17 namchamvocam

namchamvocam

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 21 March 2013 - 11:50 AM

Bạn vào mục này: CADViet forum - Lập trình CAD - AutoLisp. Chọn nút Gửi bài mới ở phía trên bên phải. Nếu vẫn chưa tìm thấy thì Link đây

http://www.cadviet.c...um/50-autolisp/

cám ơn b nhiều nhé


  • 0

#18 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 21 March 2013 - 01:40 PM

Hề hề hề,

Bác này cưới chui rồi......

Mệt quá mà. thông báo cưới 21 tết năm ngoái rồi mà bác ko quan tâm tới em út chừ còn đổ tội cưới chui.  :P


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#19 tientracdia

tientracdia

    biết lệnh scale

  • Members
  • PipPipPip
  • 147 Bài viết
Điểm đánh giá: -11 (hơi kém)

Đã gửi 23 March 2013 - 04:29 PM

Lệnh là: CHUYENLAY

 

2032013143351344.jpg

Nó dài thòn thòn là do làm cho hiện cái bảng danh sách layer hiện có trong bản vẽ để bạn chọn làm layer đích chứ còn bạn muốn chỉ định cố định layer đích thì chỉ cần dùng lệnh: CVML

và sửa

(nth (atoi duy:bienluu_tenlayer) dsso)

Thành "tenlayer" là được!

 

(defun duy:vht_modau (tieudeht / tieudeht)
(setq sogan 2)
(setq solistgan 1)
(setq solistganb 1)
(setq soanhgan 1)
(setq soanhggan 1)
(setq filedcl (open "D:/htd.dcl" "w"))
(write-line (strcat "duyhopthoai : dialog { label = " "\"" tieudeht "\"" "\;") filedcl)
(setq filelsp (open "D:/ganhtd.lsp" "w"))
(write-line (strcat "\(" "defun ght " "\(" "\)") filelsp)
(setq filelsps (open "D:/ganhtds.lsp" "w"))
(write-line (strcat "\(" "defun ghts " "\(" "\)") filelsps)
(write-line (strcat "\(" "setq phepchon " "\(" "start_dialog" "\)" "\)") filelsps)
(write-line (strcat "\(" "cond") filelsps)
)

(defun duy:vht_ketthuckhongnut (noidung / noidung)
(write-line (strcat ": text {alignment  = centered" "\;" " label = " "\"" noidung "\"" "\;" "}") filedcl)
(write-line (strcat "}") filedcl)
(close filedcl)
(write-line "\)" filelsp)
(close filelsp)
(write-line "\))" filelsps)
(close filelsps)
)

(defun duy:vht_nutthoat (tennut dorong / tennut dorong)
(write-line (strcat ": button {alignment  = centered" "\;" " is_cancel = true" "\;" " width = " dorong "\;" " label = " "\"" tennut "\"" "\;" " key = " "\"" " accept" "\"" "\;" " is_default = true" "\;" "}") filedcl)
)

(defun duy:vht_textso (tieude dorong lisththi vitrimd gtnhan / tieude dorong lisththi vitrimd gtnhan)
(write-line (strcat ": popup_list {alignment  = centered" "\;" " edit_width = " dorong "\;" " label = " "\"" tieude "\"" "\;" " key = " "\"" "listthu" (itoa solistgan) "\"" "\;" "}") filedcl)
(write-line (strcat "\(" "start_list " "\"" "listthu" (itoa solistgan) "\"" "\)") filelsp)
(write-line (strcat "\(" "mapcar " "\'" "add_list " lisththi "\)") filelsp)
(write-line (strcat "\(" "end_list" "\)") filelsp)
(write-line (strcat "\(" "set_tile " "\"" "listthu" (itoa solistgan) "\" " "\(" "itoa " vitrimd "\)" "\)") filelsp)
(write-line (strcat "\(" "action_tile " "\"" "listthu" (itoa solistgan) "\" " "\"" "\(setq " gtnhan " \(get_tile " "\\" "\"" "listthu" (itoa solistgan) "\\" "\"" "\)" "\)" "\"" "\)") filelsp)
(setq solistgan (+ solistgan 1))
)   

(defun duy:vht_nut (tennut hamgoi dorong / tennut hamgoi dorong)
(write-line (strcat ": button {alignment  = centered" "\;" " width = " dorong "\;" " label = " "\"" tennut "\"" "\;" " key = " "\"" hamgoi "\"" "\;" "}") filedcl)
(write-line (strcat "\(" "action_tile " "\"" hamgoi "\" "  "\"" "\(" "done_dialog " (itoa sogan) "\)" "\"" "\)") filelsp)
(write-line (strcat "\(" "\(" "= phepchon " (itoa sogan) "\) " "\(" "c:" hamgoi "\)" "\)") filelsps)
(setq sogan (+ 1 sogan))
)

(defun duy:vht_goihopthoai (/ nda)
(setq DCL_ID (load_dialog "D:/htd.dcl"))
(new_dialog "duyhopthoai" DCL_ID)
(setq fileganhtd (open "D:/ganhtd.lsp" "r"))
(repeat 2
(setq nda (read-line fileganhtd))
)
(close fileganhtd)
(cond
((= nda "\)") (start_dialog) (unload_dialog dcl_id))
((/= nda "\)") (load "D:/ganhtd.lsp") (load "D:/ganhtds.lsp") (ght) (ghts))
)
)

(defun duy:taolist (kieu / kieu nl lkq)
(setq lkq'())
(setq nl (tblnext kieu T))
(while nl
(setq lkq (append lkq (list (cdr (assoc 2 nl)))))
(setq nl (tblnext kieu))
)
lkq)

(defun c:chuyenlay ()
(duy:vht_modau "Chuyen layer")
(duy:vht_nut "Chon doi tuong" "cvml" "0")
(setq dsso (duy:taolist "layer"))
(cond
((= nill duy:bienluu_tenlayer) (setq tenlayerluu "0") (setq duy:bienluu_tenlayer "0"))
((/= nill duy:bienluu_tenlayer) (setq tenlayerluu duy:bienluu_tenlayer))
)
(duy:vht_textso "Layer:" "12" "dsso" tenlayerluu "duy:bienluu_tenlayer")
(duy:vht_nutthoat "Thoat" "0")
(duy:vht_ketthuckhongnut "Viet boi: Duy782006")
(duy:vht_goihopthoai)
(Princ))

(defun c:cvml ()
(princ "Chon cac doi tuong muon chuyen layer !")
(setq dchon (ssget))

(setq sttd 0)
(while (setq LAY (ssname dchon sttd))

(setq kqcolor (cdr (assoc 62 (entget LAY))))
  (Cond
  ((= kqcolor nill) 
  (setq kqcolor (cdr (assoc 62 (entget (TBLOBJNAME "LAYER" (cdr (assoc 8 (entget LAY))))))))
  )
  ((/= kqcolor nill) 
  (setq kqcolor kqcolor)
  )
  )

(command "chprop" LAY "" "layer" (nth (atoi duy:bienluu_tenlayer) dsso) "color" kqcolor "")

(setq sttd (1+ sttd))
)

(princ))

Cám ơn Bạn. Lisp rất hay.

Xin nhờ bạn viết thêm để chuyển màu, kểu đường và lục nét.

Rất cám ơn


  • 0

#20 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 25 March 2013 - 01:54 PM

Cám ơn Bạn. Lisp rất hay.

Xin nhờ bạn viết thêm để chuyển màu, kểu đường và lục nét.

Rất cám ơn

 

Không hiểu?? Đề nghị ra để 1 cách dể hiểu hơn!!!!


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D